import { Layout } from 'antd';

const { Header } = Layout;

// Import the makeStyles function. If you're using @mui/styles, it should be imported like this.
import { makeStyles } from '@mui/styles';

const useStyle = makeStyles({
    header: {
        padding: 0,
        margin: 0,
        position: 'static',
        top: 0,
        display: 'flex',
    },
});

const HeaderNav = () => {
    const style = useStyle();

    return (
        <Header className={style.header}></Header>
    );
};

export default HeaderNav;