package main

import (
	"github.com/loveuer/upipe/internal/api"
	"github.com/loveuer/upipe/pkg/model"
	"github.com/loveuer/uzone"
	"github.com/loveuer/uzone/pkg/db"
)

func main() {
	app := uzone.New()

	app.With(uzone.InitDB(db.WithAutoMigrate(&model.Pipe{}, &model.Task{})))

	app.With(uzone.InitApi(api.New()))

	app.RunSignal()
}
